> For the complete documentation index, see [llms.txt](https://docs-embed.anyflow.jp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-embed.anyflow.jp/anyflow-sdk/docs/error-type.md).

# エラータイプ

## Anyflow Error

<table><thead><tr><th width="237.66015625">type</th><th>説明</th></tr></thead><tbody><tr><td>sdk_not_initialized</td><td>SDK が初期化されていません</td></tr><tr><td>sdk_already_initialized</td><td>SDK はすでに初期化されています</td></tr><tr><td>sdk_already_destroyed</td><td>この SDK インスタンスはすでに破棄されています</td></tr><tr><td>solution_not_found</td><td>ソリューションが見つかりません</td></tr><tr><td>solution_not_installed</td><td>ソリューションはまだインストールされていません</td></tr><tr><td>solution_not_runnable</td><td>このソリューションは手動実行できません</td></tr><tr><td>token_invalid</td><td>JWT が無効か、エンドユーザーが存在しません</td></tr><tr><td>token_creation_failed</td><td>SDK に渡した JWT 作成関数でエラーが発生しました</td></tr><tr><td>refreshed_token_expired</td><td>有効期限が切れたため JWT を再作成しましたが、再作成した JWT も有効期限が切れていました</td></tr><tr><td>wizard_already_destroyed</td><td>このソリューションウィザードはすでに破棄されています</td></tr><tr><td>deploy_env_not_found</td><td>指定されたデプロイ環境は存在しません</td></tr><tr><td>my_event_not_triggered</td><td>My Event を送信しましたがソリューションは実行されませんでした。<br>指定した My Event が存在しないか、指定したエンドユーザーがソリューションをインストールしていない、または無効にしています。</td></tr><tr><td>unknown</td><td>不明な原因のエラーです</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-embed.anyflow.jp/anyflow-sdk/docs/error-type.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
